Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Calibre

Notices

Reply
 
Thread Tools Search this Thread
Old 05-31-2019, 09:01 PM   #601
gottogetout
Junior Member
gottogetout began at the beginning.
 
Posts: 9
Karma: 10
Join Date: Dec 2015
Location: Paris - France
Device: KOBO AURA H2O
Thanks guys for your good infos. For the moment I won't dig that out, because I don't have many time and because the Kindle ebook which I couldn't get rid of the DRMs with the software I mentioned, was eventually refunded by Amazon. I do not really need to go further for now. I'll do it may be later
Thanks a lot
sorry for the several stupid faults in my last post; I read it again and I saw it. too bad. impossible to correct after a while. really sorry.
gottogetout is offline   Reply With Quote
Old 06-18-2019, 02:11 PM   #602
JBaby
Enthusiast
JBaby knows the way to San Jose.JBaby knows the way to San Jose.JBaby knows the way to San Jose.JBaby knows the way to San Jose.JBaby knows the way to San Jose.JBaby knows the way to San Jose.JBaby knows the way to San Jose.JBaby knows the way to San Jose.JBaby knows the way to San Jose.JBaby knows the way to San Jose.JBaby knows the way to San Jose.
 
JBaby's Avatar
 
Posts: 43
Karma: 54612
Join Date: May 2013
Location: Parsons, KS
Device: Kindle 8th Gen, iPad Pro 11” & iPhone X
I got tired of trying to fight the Kindle Mac app. I finally caved and now I'm doing Method 3. I purchased a refurbished 8th gen. It's so much easier now. And I like Kindle. I always knew I would. However, I never had one before because I think they are too much money for a single purpose device. But the refurb was the right price. But this Kindle for Mac fiasco pushed me over the edge. So I just wanted to say thank you very much for all of your effort.
JBaby is online now   Reply With Quote
Old 06-28-2019, 11:42 PM   #603
Mims
Zealot
Mims ought to be getting tired of karma fortunes by now.Mims ought to be getting tired of karma fortunes by now.Mims ought to be getting tired of karma fortunes by now.Mims ought to be getting tired of karma fortunes by now.Mims ought to be getting tired of karma fortunes by now.Mims ought to be getting tired of karma fortunes by now.Mims ought to be getting tired of karma fortunes by now.Mims ought to be getting tired of karma fortunes by now.Mims ought to be getting tired of karma fortunes by now.Mims ought to be getting tired of karma fortunes by now.Mims ought to be getting tired of karma fortunes by now.
 
Posts: 106
Karma: 1614065
Join Date: Apr 2012
Location: Space Coast
Device: K4NT, iPads,IPhone,Aura H2O,PW3
Smile THANK YOU!

Thank you MobileRead, jhowell, bettered, anybody who has ever contributed to this thread. Thank all you Magic Masters of old and the disciples who carry on the work. Thank you Kovid and all who have contributed to the development and functionality of Calibre.

Yes, I sound a little crazy and I was shouting in the title of this post. I updated my computer from Windows 7 to win10 this week. It took hours to back up everything and more hours to install and update win10. The installation wiped my disc. It is going to take some time to get everything working. But I know my priorities. Thanks to all the aforementioned people, Calibre is up and running(with custom columns and everything intact), kindle 1.7 installed, registered, and playing nicely with Calibre and all the plugins. Could’t Have done with out you all.
Mims is offline   Reply With Quote
Old 07-03-2019, 08:04 PM   #604
delta888
Junior Member
delta888 began at the beginning.
 
Posts: 4
Karma: 10
Join Date: Apr 2012
Device: Kindle Oasis/Marvin eReader on iOS via Calibre
Question Kindle for Mac that works for 64-bit (10.13 High Sierra)?

Quote:
Originally Posted by odamizu View Post
That's really interesting. What macOS are you on? I am on 10.13 High Sierra.

I downloaded K4Mac 1.25.2 and downloaded a few ebooks. As expected, I got what I think was KFX — an azw file along with a voucher file, azw.res, azw.md, etc. Alf didn't like any of this.

<snip>

I am back to 1.23.1, getting azw3/KF8 as desired. But curious how you were able to get an azw3/KF8 file with 1.25.2 that worked with Alf.

I couldn't run Kindle 1.17 for Mac on High Sierra (10.13, to which I just updated) -- got the "need to update file type" message (assume that means 64-bit files), and the app won't even launch. Downloaded 1.23.1 from the link given at the pinned post at the top of this thread. I'm getting the same behaviour.


Is there something I need to do in order to successfully run 1.23.1 (or 1.17!) on this Mac?


Gah. Thanks to everyone who's working on this thread.
delta888 is offline   Reply With Quote
Old 07-03-2019, 11:15 PM   #605
odamizu
maniac
odamizu ought to be getting tired of karma fortunes by now.odamizu ought to be getting tired of karma fortunes by now.odamizu ought to be getting tired of karma fortunes by now.odamizu ought to be getting tired of karma fortunes by now.odamizu ought to be getting tired of karma fortunes by now.odamizu ought to be getting tired of karma fortunes by now.odamizu ought to be getting tired of karma fortunes by now.odamizu ought to be getting tired of karma fortunes by now.odamizu ought to be getting tired of karma fortunes by now.odamizu ought to be getting tired of karma fortunes by now.odamizu ought to be getting tired of karma fortunes by now.
 
odamizu's Avatar
 
Posts: 886
Karma: 1831444
Join Date: Mar 2015
Device: Kindle Oasis1 & Voyage, iOS
Quote:
Originally Posted by delta888 View Post
I couldn't run Kindle 1.17 for Mac on High Sierra (10.13, to which I just updated) -- got the "need to update file type" message (assume that means 64-bit files), and the app won't even launch. Downloaded 1.23.1 from the link given at the pinned post at the top of this thread. I'm getting the same behaviour.


Is there something I need to do in order to successfully run 1.23.1 (or 1.17!) on this Mac? ...
What's the exact error message you're getting?

Kindle for Mac 1.23.1 should run on High Sierra without having to do anything extra or special.

The 64-bit requirement is only an issue if you're running Catalina (10.15), which hasn't been released yet except in beta. High Sierra (10.13) and Mojave (10.14) can still run 32-bit apps.

That said, if you're trying to avoid KFX, then you need to run chmod -x per Method 2 in the first post. If you already tried that and now 1.23.1 won't launch, something may have gone wrong with the chmod command. Or something may have gotten corrupted when you upgraded to High Sierra.

You might try deleting the Kindle folder in Users > Home > Library > Application > Kindle. Also look for Users > Home > Library > Containers > com.amazon.Kindle and delete that folder if it's there. Then re-install 1.23.1.

Last edited by odamizu; 07-04-2019 at 01:27 PM. Reason: clarity
odamizu is offline   Reply With Quote
Old 07-10-2019, 02:48 PM   #606
rbpeirce
Junior Member
rbpeirce began at the beginning.
 
Posts: 8
Karma: 10
Join Date: Apr 2019
Device: Kindle
I am running 1.26.1, renderer-test is not executable and it doesn't work.

1.23.1 still works as expected, but I am told 1.23.1 will no longer run if we upgrade 10 MacOS 10.15.
rbpeirce is offline   Reply With Quote
Old 07-10-2019, 07:40 PM   #607
jhowell
Wizard
jhowell ought to be getting tired of karma fortunes by now.jhowell ought to be getting tired of karma fortunes by now.jhowell ought to be getting tired of karma fortunes by now.jhowell ought to be getting tired of karma fortunes by now.jhowell ought to be getting tired of karma fortunes by now.jhowell ought to be getting tired of karma fortunes by now.jhowell ought to be getting tired of karma fortunes by now.jhowell ought to be getting tired of karma fortunes by now.jhowell ought to be getting tired of karma fortunes by now.jhowell ought to be getting tired of karma fortunes by now.jhowell ought to be getting tired of karma fortunes by now.
 
jhowell's Avatar
 
Posts: 2,868
Karma: 26337727
Join Date: Nov 2011
Location: Florida
Device: Oasis 2, Fire, iPad Air 2, Nexus 7
Quote:
Originally Posted by rbpeirce View Post
I am running 1.26.1, renderer-test is not executable and it doesn't work.

1.23.1 still works as expected, but I am told 1.23.1 will no longer run if we upgrade 10 MacOS 10.15.
As things stand there may not be a simple workable solution for anyone with a new installation of Kindle for Mac on the upcoming release of MacOS.

See this post for a possible work-around if you upgraded from a prior version of Kindle for Mac. If that doesn't solve the problem you can ask for further help at Apprentice Alf's Blog or Apprentice Harper's GitHub.

Last edited by jhowell; 07-11-2019 at 09:42 AM. Reason: added "simple"
jhowell is offline   Reply With Quote
Old 07-11-2019, 04:22 PM   #608
odamizu
maniac
odamizu ought to be getting tired of karma fortunes by now.odamizu ought to be getting tired of karma fortunes by now.odamizu ought to be getting tired of karma fortunes by now.odamizu ought to be getting tired of karma fortunes by now.odamizu ought to be getting tired of karma fortunes by now.odamizu ought to be getting tired of karma fortunes by now.odamizu ought to be getting tired of karma fortunes by now.odamizu ought to be getting tired of karma fortunes by now.odamizu ought to be getting tired of karma fortunes by now.odamizu ought to be getting tired of karma fortunes by now.odamizu ought to be getting tired of karma fortunes by now.
 
odamizu's Avatar
 
Posts: 886
Karma: 1831444
Join Date: Mar 2015
Device: Kindle Oasis1 & Voyage, iOS
Quote:
Originally Posted by rbpeirce View Post
I am running 1.26.1, renderer-test is not executable and it doesn't work.

1.23.1 still works as expected, but I am told 1.23.1 will no longer run if we upgrade 10 MacOS 10.15.
1.26.1 works on my Mac.

If you have 1.23.1 working, try upgrading to 1.26.1 from within 1.23.1, or install 1.26.1 on top of 1.23.1. If that doesn't work, ask for more detailed help on Apprentice Harper's GitHub.

As for the next macOS (10.15 Catalina), it is reported that it will only run 64-bit apps, and since 1.23.1 is 32-bit, it's not expected to work on Catalina. Anyone planning to upgrade to Catalina should get 1.26.1 working before going to Catalina. Hopefully it will survive the upgrade, but who knows.


Quote:
Originally Posted by jhowell View Post
As things stand there may not be a simple workable solution for anyone with a new installation of Kindle for Mac on the upcoming release of MacOS.
Indeed. Getting Alf-friendly ebooks using K4Mac on Catalina will likely be increasingly problematic unless the Apprentices figure out the new key Even then, depending on how far Apple takes its new notarization requirement, Catalina may pose problems for Calibre.
odamizu is offline   Reply With Quote
Old 07-12-2019, 03:52 PM   #609
rbpeirce
Junior Member
rbpeirce began at the beginning.
 
Posts: 8
Karma: 10
Join Date: Apr 2019
Device: Kindle
Quote:
Originally Posted by odamizu View Post
If you have 1.23.1 working, try upgrading to 1.26.1 from within 1.23.1, or install 1.26.1 on top of 1.23.1.
I had 1.23 and 1.26 with renderer-test not executable. I copied 1.23 to Kindle.app, dropped the 1.26 download on it, chmod -x renderer-test, downloaded a book and read it into calibre. It seems to have worked! I have no idea why upgrading works and just downloading doesn't. Anyhow, this may alleviate the 10.15 problem.
rbpeirce is offline   Reply With Quote
Old 07-12-2019, 04:50 PM   #610
odamizu
maniac
odamizu ought to be getting tired of karma fortunes by now.odamizu ought to be getting tired of karma fortunes by now.odamizu ought to be getting tired of karma fortunes by now.odamizu ought to be getting tired of karma fortunes by now.odamizu ought to be getting tired of karma fortunes by now.odamizu ought to be getting tired of karma fortunes by now.odamizu ought to be getting tired of karma fortunes by now.odamizu ought to be getting tired of karma fortunes by now.odamizu ought to be getting tired of karma fortunes by now.odamizu ought to be getting tired of karma fortunes by now.odamizu ought to be getting tired of karma fortunes by now.
 
odamizu's Avatar
 
Posts: 886
Karma: 1831444
Join Date: Mar 2015
Device: Kindle Oasis1 & Voyage, iOS
Quote:
Originally Posted by rbpeirce View Post
I had 1.23 and 1.26 with renderer-test not executable. I copied 1.23 to Kindle.app, dropped the 1.26 download on it, chmod -x renderer-test, downloaded a book and read it into calibre. It seems to have worked! I have no idea why upgrading works and just downloading doesn't. Anyhow, this may alleviate the 10.15 problem.
Glad you got it working. However, it's because upgrading is more likely to succeed that K4Mac is likely to become increasingly problematic going forward. I.e., once you've installed 10.15, it will no longer be possible to run 1.23 and then upgrade to 1.26.

But now that you've got 1.26 working, hopefully everything will survive the upgrade to 10.15
odamizu is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Handling KFX files in Calibre HarryT Conversion 53 08-31-2018 03:21 AM
Dealing with Kindle for PC/Mac 1.19 and KFX in calibre BetterRed Conversion 0 02-08-2017 12:47 PM
Dealing with Kindle for PC/Mac 1.19 and KFX in calibre BetterRed Devices 0 02-06-2017 06:59 PM
updated calibre with a little help for kfx format cvkemp Amazon Kindle 0 10-06-2015 10:08 AM
Dealing with Multiple Calibre libraries samoanbiscuit Calibre Companion 4 08-27-2014 09:35 AM


All times are GMT -4. The time now is 01:25 PM.


MobileRead.com is a privately owned, operated and funded community.